<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * Acconunt Model
 *
 * @package    TSM Access Management
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_Account extends lnApp_Model_Account {
	protected $_has_many = array(
		'ssl'=>array('model'=>'SSL','far_key'=>'id','foreign_key'=>'account_id'),
	);

	public function id() {
		if (! $this->prefix)
			throw HTTP_Exception::factory(501,'Your prefix is missing, please contact an admin');

		return strlen($this->prefix) > 1 ? $this->prefix : sprintf('%s%06d',$this->prefix,$this->id);
	}
}
?>
