<fieldset class="col-md-6">
	<legend>SSL Details</legend>

	<div class="dl-horizontal">
		<dt>Subject</dt>
		<dd><?php echo $o->dn(); ?></dd>

		<?php if ($o->cert) : ?>
			<dt>Subject Key ID</dt>
			<dd><?php echo $o->ski(); ?></dd>

			<dt>Serial Number</dt>
			<dd><?php echo $o->serial(); ?></dd>

			<dt>Issuer</dt>
			<dd>
				<?php if ($o->validCA()) : ?>
				<?php echo HTML::anchor(URL::link('admin','ssl/edit/').$o->ca->id,$o->issuer()); ?>
				<?php else : ?>
				<?php echo $o->issuer(); ?>
				<?php endif ?>
			</dd>

			<dt>Issuer Key ID</dt>
			<dd><?php echo $o->aki_keyid(); ?></dd>

			<dt>Issuer Serial</dt>
			<dd><?php echo $o->aki_serial(); ?></dd>

			<dt>Valid From</dt>
			<dd><?php echo $o->valid_from(TRUE); ?></dd>

			<dt>Valid To</dt>
			<dd><?php echo $o->valid_to(TRUE); ?></dd>

			<dt>Hash</dt>
			<dd><?php echo $o->hash(); ?></dd>

			<dt>Version</dt>
			<dd><?php echo $o->version(); ?></dd>

			<dt>Algorithm</dt>
			<dd><?php echo $o->algorithm(); ?></dd>

		<?php else : ?>
			<dt>Status</dt>
			<dd>Waiting to be signed.</dd>
		<?php endif ?>
	</div> <!-- dl-horizontal -->

	<?php if ($o->cert) : ?>
		<br/>
		<legend>Certificate Chain</legend>

		<?php echo Table::factory()
			->data($o->list_ca())
			->columns(array(
			'id'=>'ID',
			'subject_cn()'=>'Cert',
			'valid_to(TRUE)'=>'Expires',
			'issuer_cn()'=>'Issuer',
			))
			->prepend(array(
				'id'=>array('url'=>URL::link('admin','ssl/edit/')),
			)); ?>
	<?php endif ?>
</fieldset>

<fieldset class="col-md-6">
	<legend>Certificate</legend>

	<pre><?php echo $o->cert ? $o->cert : $o->csr; ?></pre>

	<?php
		echo $o->download_button(); 

		if ($ao=Auth::instance()->get_user() AND ($ao->isAdmin()) AND $o->service->status AND ($o->valid_to()-(Kohana::$config->load('ssl.min_renew_days')*86400) <= time()) AND $o->service->paid_to() > time()) :
			echo Form::open(URL::link('admin','ssl/renew/'.$o->service->id));
			echo Form::button('submit','Renew',array('class'=>'btn btn-primary'));
		endif
	?>

<!--
<?php #echo Form::textarea('cert','',array('class'=>'col-md-6','label'=>'CSR','placeholder'=>'Certificate Sign Request','style'=>'font-family: monospace;','cols'=>61,'rows'=>15)); ?>
<button type="submit" class="btn btn-primary">Save changes</button>
-->
</fieldset>
