<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class contains our TSM information
 *
 * @package    TSM Database Module
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010-2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class lnApp_TSM {
	static $_online = FALSE;

	public function set($username,$password,Database_TSM_Result $server) {
		return TSM::$_online = TRUE;
	}

	public static function online() {
		return TSM::$_online;
	}

	public static function instance() {
		return new TSM;
	}

	public static function name() {
		return Session::instance()->get('SERVER')->get('SERVER_NAME');
	}

	public static function version() {
		$s = Session::instance()->get('SERVER')->rewind()->as_array();
		$s = array_pop($s);

		return sprintf('%s.%s.%s.%s',$s['VERSION'],$s['RELEASE'],$s['LEVEL'],$s['SUBLEVEL']);
	}
}
?>
