<?php if ($mode == 'edit') : ?>
<div class="row">
	<fieldset class="col-md-12">
		<legend>SSL CA Certificate Edit/Update</legend>

		<div class="dl-horizontal">
			<dt>Subject</dt>
			<dd><?php echo $o->dn(); ?></dd>

			<dt>Subject Key ID</dt>
			<dd><?php echo $o->ski(); ?></dd>

			<dt>Serial Number</dt>
			<dd><?php echo $o->serial(); ?></dd>

			<?php if (! is_null($o->isRoot()) AND ! $o->isRoot()) : ?>
				<dt>Issuer</dt>
				<dd>
					<?php if ($o->validParent()) : ?>
					<?php echo HTML::anchor(URL::link('admin','ssl/edit/').$o->ssl_ca_id,$o->issuer()); ?>
					<?php else : ?>
					<?php echo $o->issuer(); ?>
					<?php endif ?>
				</dd>

				<dt>Issuer Key ID</dt>
				<dd><?php echo $o->aki_keyid(); ?></dd>

				<dt>Issuer Serial</dt>
				<dd><?php echo $o->aki_serial(); ?></dd>

				<dt>Issuer Valid</dt>
				<dd><?php echo $o->validParent(TRUE); ?></dd>

			<?php else : ?>
				<dt>Status</dt>
				<dd>Root Ceritificate</dd>
			<?php endif ?>

			<dt>Path Length</dt>
			<dd><?php echo $o->ca_path_len(); ?></dd>

			<dt>Hash</dt>
			<dd><?php echo $o->hash(); ?></dd>

			<dt>Valid From</dt>
			<dd><?php echo $o->valid_from(TRUE); ?></dd>

			<dt>Valid To</dt>
			<dd><?php echo $o->valid_to(TRUE); ?></dd>

			<dt>Hash</dt>
			<dd><?php echo $o->hash(); ?></dd>

			<dt>Version</dt>
			<dd><?php echo $o->version(); ?></dd>

			<dt>Key Algorithm<dt>
			<dd><?php echo $o->algorithm(); ?></dd>
		</div> <!-- /dl-horizontal -->
	</fieldset>
</div>
<?php endif ?>

<div class="row">
	<fieldset class="col-md-6">
		<legend>CSR Data</legend>
		<?php echo Form::textarea('csr',$o->csr,array('divclass'=>'col-md-12','placeholder'=>'Certificate Sign Request','style'=>'font-family: monospace; font-size: 95%;','rows'=>Form::textarea_rows($o->csr))); ?>

		<legend>Private Key Data</legend>
		<?php echo Form::textarea('pk',$o->pk,array('divclass'=>'col-md-12','placeholder'=>'Private Key','style'=>'font-family: monospace; font-size: 95%;','rows'=>Form::textarea_rows($o->pk))); ?>
	</fieldset>

	<fieldset class="col-md-6">
		<legend>Certificate Data</legend>
		<?php echo Form::textarea('cert',$o->cert,array('divclass'=>'col-md-12','placeholder'=>'Public Certificate','style'=>'font-family: monospace; font-size: 95%;','rows'=>Form::textarea_rows($o->cert))); ?>
	</fieldset>
</div>

<div class="row">
	<div class="col-md-offset-1">
		<button type="submit" class="btn btn-primary">Save changes</button>
		<button type="button" class="btn btn-default">Cancel</button>
	</div>
</div>
