<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * TSM System Messages.
 *
 * @package    TSM Database Module
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010-2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class SystemMessage extends lnApp_SystemMessage {
	static public function TSM($type,$error,$sql=NULL) {
		SystemMessage::add(array(
			'title'=>_('While talking to TSM'),
			'body'=>($sql ? _('Running SQL').': <b>'.$sql.'</b><br/><br/>' : '').(is_array($error) ? implode('<br/>',$error) : $error),
			'type'=>$type,
		));
	}
}
?>
